## khronos-opengl-man4 1.0~svn31251

=== html/Makefile ===
#!gmake

# XSLT processor - other possibilities like Saxon exist
XSLT	= xsltproc --nonet
SED	= sed

# Location of locally customized stylesheet, which imports
# the Docbook modular stylesheets, and specifically the
# stylesheet to convert Docbook+MathML => XHTML+MathML
DB2XHTML = opengl-man.xsl

.SUFFIXES: .gl .xml .html .xhtml

############################ API pages ############################

# APIXIFILES are XIncludes used by multiple APi pages
APIXIFILES = \
    ../apifunchead.xml \
    ../apiversion.xml

GL_ARB_draw_indirect_entries = \
    glDrawArraysIndirect.xhtml \
    glDrawElementsIndirect.xhtml

GL_ARB_shader_subroutine_entries = \
    glGetActiveSubroutineName.xhtml \
    glGetActiveSubroutineUniform.xhtml \
    glGetActiveSubroutineUniformName.xhtml \
    glGetProgramStage.xhtml \
    glGetSubroutineIndex.xhtml \
    glGetSubroutineUniformLocation.xhtml \
    glGetUniformSubroutine.xhtml \
    glUniformSubroutines.xhtml

GL_ARB_tessellation_shader_entries = \
    glPatchParameter.xhtml

GL_ARB_transform_feedback2_entries = \
    glBindTransformFeedback.xhtml \
    glDeleteTransformFeedbacks.xhtml \
    glGenTransformFeedbacks.xhtml \
    glIsTransformFeedback.xhtml \
    glPauseTransformFeedback.xhtml \
    glResumeTransformFeedback.xhtml \
    glDrawTransformFeedback.xhtml

GL_ARB_transform_feedback3_entries = \
    glDrawTransformFeedbackStream.xhtml \
    glBeginQueryIndexed.xhtml \
    glGetQueryIndexed.xhtml

GL_ARB_viewport_array_entries = \
    glDepthRangeArray.xhtml \
    glDepthRangeIndexed.xhtml \
    glScissorArray.xhtml \
    glScissorIndexed.xhtml \
    glViewportArray.xhtml \
    glViewportIndexed.xhtml

GL_ARB_get_program_binary_entries = \
    glGetProgramBinary.xhtml \
    glProgramBinary.xhtml \
    glProgramParameter.xhtml

GL_ARB_ES2_compatibility_entries = \
    glReleaseShaderCompiler.xhtml \
    glShaderBinary.xhtml \
    glGetShaderPrecisionFormat.xhtml

GL_ARB_separate_shader_objects_entries = \
    glUseProgramStages.xhtml \
    glActiveShaderProgram.xhtml \
    glCreateShaderProgram.xhtml \
    glBindProgramPipeline.xhtml \
    glGenProgramPipelines.xhtml \
    glDeleteProgramPipelines.xhtml \
    glIsProgramPipeline.xhtml \
    glGetProgramPipeline.xhtml \
    glValidateProgramPipeline.xhtml \
    glGetProgramPipelineInfoLog.xhtml \
    glProgramUniform.xhtml

GL_ARB_sample_shading_entries = \
    glMinSampleShading.xhtml

GL_ARB_base_instance_entries = \
    glDrawArraysInstancedBaseInstance.xhtml \
    glDrawElementsInstancedBaseInstance.xhtml \
    glDrawElementsInstancedBaseVertexBaseInstance.xhtml

GL_EXT_texture_storage_entries = \
    glTexStorage1D.xhtml \
    glTexStorage2D.xhtml \
    glTexStorage3D.xhtml

GL_ARB_internal_format_query_entries = \
    glGetInternalformat.xhtml

GL_ARB_transform_feedback_instanced_entries = \
    glDrawTransformFeedbackInstanced.xhtml \
    glDrawTransformFeedbackStreamInstanced.xhtml

GL_ARB_shader_atomic_counters_entries = \
    glGetActiveAtomicCounterBufferiv.xhtml

GL_ARB_shader_image_load_store_entries = \
    glBindImageTexture.xhtml \
    glMemoryBarrier.xhtml

# START OF OPENGL 4.3 EXTENSIONS

# GL_ARB_arrays_of_arrays has no new entry points
GL_ARB_arrays_of_arrays_entries =

GL_ARB_multi_draw_indirect_entries = \
    glMultiDrawArraysIndirect.xhtml \
    glMultiDrawElementsIndirect.xhtml

# ES3_compatibility does not have any new entry points
GL_ARB_ES3_compatibility_enries =

GL_ARB_clear_buffer_object_entries = \
    glClearBufferData.xhtml \
    glClearBufferSubData.xhtml

GL_ARB_compute_shader_entries = \
    glDispatchCompute.xhtml \
    glDispatchComputeIndirect.xhtml

GL_ARB_copy_image_entries = \
    glCopyImageSubData.xhtml

GL_ARB_debug_group_entries = \
    glPushDebugGroup.xhtml \
    glPopDebugGroup.xhtml

GL_ARB_debug_label_entries = \
    glObjectLabel.xhtml \
    glObjectPtrLabel.xhtml \
    glGetObjectLabel.xhtml \
    glGetObjectPtrLabel.xhtml

# GL_ARB_debug_output2 has no new entry points
GL_ARB_debug_output2_entries =

GL_ARB_debug_output_entries = \
    glDebugMessageControl.xhtml \
    glDebugMessageInsert.xhtml \
    glDebugMessageCallback.xhtml \
    glGetDebugMessageLog.xhtml \
    glGetPointerv.xhtml

# GL_ARB_explicit_uniform_location has no new entry points
GL_ARB_explicit_uniform_location_entries =

# GL_ARB_fragment_layer_viewport has no new entry points
GL_ARB_fragment_layer_viewport_entries =

GL_ARB_framebuffer_no_attachments_entries = \
    glFramebufferParameteri.xhtml \
    glGetFramebufferParameter.xhtml

# GL_ARB_internalformat_query2 adds glGetInternalFormati64v to glGetInternalFormativ
GL_ARB_internalformat_query2_entries =

GL_ARB_invalidate_subdata_entries = \
    glInvalidateTexSubImage.xhtml \
    glInvalidateTexImage.xhtml \
    glInvalidateBufferSubData.xhtml \
    glInvalidateBufferData.xhtml \
    glInvalidateFramebuffer.xhtml \
    glInvalidateSubFramebuffer.xhtml

GL_ARB_program_interface_query_entries = \
    glGetProgramInterface.xhtml \
    glGetProgramResourceIndex.xhtml \
    glGetProgramResourceName.xhtml \
    glGetProgramResource.xhtml \
    glGetProgramResourceLocation.xhtml \
    glGetProgramResourceLocationIndex.xhtml

# GL_ARB_robust_buffer_access_behavior does not define any new entry points
GL_ARB_robust_buffer_access_behavior_entries =

# GL_ARB_shader_image_size does not define any new entry points
GL_ARB_shader_image_size_entries =

GL_ARB_shader_storage_buffer_object_entries = \
    glShaderStorageBlockBinding.xhtml

# GL_ARB_stencil_texturing does not define any new entry points
GL_ARB_stencil_texturing_entries =

GL_ARB_texture_buffer_range_entries = \
    glTexBufferRange.xhtml

# GL_ARB_texture_query_levels does not define any new entry points
GL_ARB_texture_query_levels =

GL_ARB_texture_storage_multisample_entries = \
    glTexStorage2DMultisample.xhtml \
    glTexStorage3DMultisample.xhtml

GL_ARB_texture_view_entries = \
    glTextureView.xhtml

GL_ARB_vertex_attrib_binding_entries = \
    glVertexAttribBinding.xhtml \
    glVertexAttribFormat.xhtml \
    glVertexBindingDivisor.xhtml \
    glBindVertexBuffer.xhtml

GL_ARB_buffer_storage_entries = \
    glBufferStorage.xhtml

GL_ARB_clear_texture_entries = \
    glClearTexImage.xhtml \
    glClearTexSubImage.xhtml

GL_ARB_multi_bind_entries = \
    glBindBuffersBase.xhtml \
    glBindBuffersRange.xhtml \
    glBindTextures.xhtml \
    glBindImageTextures.xhtml \
    glBindSamplers.xhtml \
    glBindVertexBuffers.xhtml

MODIFIEDFORGL4XML = \
    glClearDepth.xhtml \
    glCreateShader.xhtml \
    glDepthRange.xhtml \
    glDrawArrays.xhtml \
    glGetVertexAttrib.xhtml \
    glVertexAttrib.xhtml \
    glVertexAttribPointer.xhtml

GL4XML = \
    $(GL_ARB_draw_indirect_entries) \
    $(GL_ARB_shader_subroutine_entries) \
    $(GL_ARB_tessellation_shader_entries) \
    $(GL_ARB_transform_feedback2_entries) \
    $(GL_ARB_transform_feedback3_entries) \
    $(GL_ARB_sample_shading_entries)

GL41XML = \
    $(GL_ARB_viewport_array_entries) \
    $(GL_ARB_get_program_binary_entries) \
    $(GL_ARB_ES2_compatibility_entries) \
    $(GL_ARB_separate_shader_objects_entries)

GL42XML = \
    $(GL_ARB_base_instance_entries) \
    $(GL_EXT_texture_storage_entries) \
    $(GL_ARB_internal_format_query_entries) \
    $(GL_ARB_transform_feedback_instanced_entries) \
    $(GL_ARB_shader_atomic_counters_entries) \
    $(GL_ARB_shader_image_load_store_entries) \
    removedTypes.xhtml

GL43XML = \
    $(GL_ARB_multi_draw_indirect_entries) \
    $(GL_ARB_ES3_compatibility_enries) \
    $(GL_ARB_clear_buffer_object_entries) \
    $(GL_ARB_compute_shader_entries) \
    $(GL_ARB_copy_image_entries) \
    $(GL_ARB_invalidate_subdata_entries) \
    $(GL_ARB_texture_buffer_range_entries) \
    $(GL_ARB_texture_storage_multisample_entries) \
    $(GL_ARB_vertex_attrib_binding_entries) \
    $(GL_ARB_shader_storage_buffer_object_entries) \
    $(GL_ARB_debug_group_entries) \
    $(GL_ARB_debug_label_entries) \
    $(GL_ARB_framebuffer_no_attachments_entries) \
    $(GL_ARB_program_interface_query_entries) \
    $(GL_ARB_debug_output_entries) \
    $(GL_ARB_texture_view_entries)

GL44XML = \
    $(GL_ARB_buffer_storage_entries) \
    $(GL_ARB_clear_texture_entries) \
    $(GL_ARB_multi_bind_entries)

GL45XML = \
    glBindTextureUnit.xhtml \
    glCreateBuffers.xhtml \
    glCreateFramebuffers.xhtml \
    glCreateProgramPipelines.xhtml \
    glCreateQueries.xhtml \
    glCreateRenderbuffers.xhtml \
    glCreateSamplers.xhtml \
    glCreateTextures.xhtml \
    glCreateTransformFeedbacks.xhtml \
    glCreateVertexArrays.xhtml \
    glGetTextureSubImage.xhtml \
    glGetCompressedTextureSubImage.xhtml \
    glGetTransformFeedback.xhtml \
    glGetVertexArrayIndexed.xhtml \
    glGetVertexArrayiv.xhtml \
    glTransformFeedbackBufferBase.xhtml \
    glTransformFeedbackBufferRange.xhtml \
    glVertexArrayElementBuffer.xhtml \
    glClipControl.xhtml \
    glGetGraphicsResetStatus.xhtml \
    glTextureBarrier.xhtml \
    gl_HelperInvocation.xhtml

UNMODIFIEDXML = \
    glActiveTexture.xhtml \
    glAttachShader.xhtml \
    glBeginConditionalRender.xhtml \
    glBeginQuery.xhtml \
    glBeginTransformFeedback.xhtml \
    glBindAttribLocation.xhtml \
    glBindBuffer.xhtml \
    glBindBufferBase.xhtml \
    glBindBufferRange.xhtml \
    glBindFragDataLocation.xhtml \
    glBindFragDataLocationIndexed.xhtml \
    glBindFramebuffer.xhtml \
    glBindRenderbuffer.xhtml \
    glBindSampler.xhtml \
    glBindTexture.xhtml \
    glBindVertexArray.xhtml \
    glBlendColor.xhtml \
    glBlendEquation.xhtml \
    glBlendEquationSeparate.xhtml \
    glBlendFunc.xhtml \
    glBlendFuncSeparate.xhtml \
    glBlitFramebuffer.xhtml \
    glBufferData.xhtml \
    glBufferSubData.xhtml \
    glCheckFramebufferStatus.xhtml \
    glClampColor.xhtml \
    glClear.xhtml \
    glClearColor.xhtml \
    glClearBuffer.xhtml \
    glClearStencil.xhtml \
    glClientWaitSync.xhtml \
    glColorMask.xhtml \
    glCompileShader.xhtml \
    glCompressedTexImage1D.xhtml \
    glCompressedTexImage2D.xhtml \
    glCompressedTexImage3D.xhtml \
    glCompressedTexSubImage1D.xhtml \
    glCompressedTexSubImage2D.xhtml \
    glCompressedTexSubImage3D.xhtml \
    glCopyBufferSubData.xhtml \
    glCopyTexImage1D.xhtml \
    glCopyTexImage2D.xhtml \
    glCopyTexSubImage1D.xhtml \
    glCopyTexSubImage2D.xhtml \
    glCopyTexSubImage3D.xhtml \
    glCreateProgram.xhtml \
    glCullFace.xhtml \
    glDeleteBuffers.xhtml \
    glDeleteFramebuffers.xhtml \
    glDeleteProgram.xhtml \
    glDeleteQueries.xhtml \
    glDeleteRenderbuffers.xhtml \
    glDeleteSamplers.xhtml \
    glDeleteShader.xhtml \
    glDeleteSync.xhtml \
    glDeleteTextures.xhtml \
    glDeleteVertexArrays.xhtml \
    glDepthFunc.xhtml \
    glDepthMask.xhtml \
    glDetachShader.xhtml \
    glDrawArraysInstanced.xhtml \
    glDrawBuffer.xhtml \
    glDrawBuffers.xhtml \
    glDrawElements.xhtml \
    glDrawElementsBaseVertex.xhtml \
    glDrawElementsInstanced.xhtml \
    glDrawElementsInstancedBaseVertex.xhtml \
    glDrawRangeElements.xhtml \
    glDrawRangeElementsBaseVertex.xhtml \
    glEnable.xhtml \
    glEnableVertexAttribArray.xhtml \
    glFenceSync.xhtml \
    glFinish.xhtml \
    glFlush.xhtml \
    glFlushMappedBufferRange.xhtml \
    glFramebufferRenderbuffer.xhtml \
    glFramebufferTexture.xhtml \
    glFramebufferTextureLayer.xhtml \
    glFrontFace.xhtml \
    glGenBuffers.xhtml \
    glGenerateMipmap.xhtml \
    glGenFramebuffers.xhtml \
    glGenQueries.xhtml \
    glGenRenderbuffers.xhtml \
    glGenSamplers.xhtml \
    glGenTextures.xhtml \
    glGenVertexArrays.xhtml \
    glGet.xhtml \
    glGetActiveAttrib.xhtml \
    glGetActiveUniform.xhtml \
    glGetActiveUniformBlock.xhtml \
    glGetActiveUniformBlockName.xhtml \
    glGetActiveUniformName.xhtml \
    glGetActiveUniformsiv.xhtml \
    glGetAttachedShaders.xhtml \
    glGetAttribLocation.xhtml \
    glGetBufferParameter.xhtml \
    glGetBufferPointerv.xhtml \
