=== debian/changelog ===
khronos-opengl-man4 (1.0~svn31251-1build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jul 2015 17:16:58 +0000

khronos-opengl-man4 (1.0~svn31251-1) unstable; urgency=medium

  * New upstream
  * Fix copyright issue. Update #770601
  * uses remote MathJax. Closes: #770600 (Thanks Rebecca N. Palmer!)
  * missing files, .php sidebar hard to use locally. Closes: #770599
  * Bump Std-Vers to 3.9.6, no changes needed

 -- Mathieu Malaterre <malat@debian.org>  Thu, 21 May 2015 14:46:14 +0200
