=== debian/control ===
Source: khronos-opengl-man4
Section: doc
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenCL Maintainers <pkg-opencl-devel@lists.alioth.debian.org>
Uploaders: Mathieu Malaterre <malat@debian.org>
Build-Depends: debhelper (>= 9),
               docbook-mathml (>= 1.1~),
               docbook-xsl-ns (>= 1.78.1),
               python3,
               w3-dtd-mathml,
               xsltproc
Standards-Version: 3.9.6
Homepage: http://www.opengl.org/sdk/docs/man4/
Vcs-Svn: svn://anonscm.debian.org/pkg-nvidia/packages/khronos-opengl4-man/trunk
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-nvidia/packages/khronos-opengl4-man/

Package: opengl-4-html-doc
Architecture: all
Depends: doc-base, ${misc:Depends}
Recommends: libjs-mathjax
Replaces: opengl-4.2-html-doc (<< 1.0~svn21376-1)
Breaks: opengl-4.2-html-doc (<< 1.0~svn21376-1)
Description: OpenGL 4 documentation - html pages
 This is the OpenGL API man pages.
 .
 The ARB Ecosystem TSG maintains an up-to-date version of the OpenGL man pages.
 .
 The documentation is exactly what is available from:
 http://www.opengl.org/sdk/docs/man4/xhtml/

Package: opengl-4-man-doc
Provides: manpages-opengl
Architecture: all
Depends: ${misc:Depends}
Replaces: opengl-4.2-man-doc (<< 1.0~svn21376-1)
Description: OpenGL 4 documentation - man pages (experimental)
 This is the OpenGL API man pages.
 .
 The ARB Ecosystem TSG maintains an up-to-date version of the OpenGL man pages.
 .
 This is experimental man page package until support gets integrated upstream.
