## khronos-opengl-man4 1.0~svn33624

=== debian/changelog ===
khronos-opengl-man4 (1.0~svn33624-3) unstable; urgency=medium

  * Team upload.
  * Build-Depends: drop unused w3-dtd-mathml (Closes: #1087751)

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Mon, 18 Nov 2024 16:21:45 +0100

khronos-opengl-man4 (1.0~svn33624-2) unstable; urgency=medium

  * Team upload.
  * Convert packaging repository from SVN to GIT.
  * Mark opengl-4-man-doc as Multi-Arch: foreign.
  * This package is no managed handled by the Debian OpenCL Maintainers.
  * Remove superfluous bits from d/copyright.
  * Declare Rules-Requires-Root: no.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 27 Apr 2024 00:45:28 +0200

khronos-opengl-man4 (1.0~svn33624-1) unstable; urgency=medium

  * New upstream
  * Bump Std-Vers to 4.1.3. Update to Priority: optional.

 -- Mathieu Malaterre <malat@debian.org>  Wed, 03 Jan 2018 07:36:50 +0100
