=== debian/control ===
--- 
+++ 
@@ -1,19 +1,17 @@
 Source: khronos-opengl-man4
 Section: doc
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenCL Maintainers <pkg-opencl-devel@lists.alioth.debian.org>
-Uploaders: Mathieu Malaterre <malat@debian.org>
+Priority: optional
+Maintainer: Mathieu Malaterre <malat@debian.org>
 Build-Depends: debhelper (>= 9),
                docbook-mathml (>= 1.1~),
                docbook-xsl-ns (>= 1.78.1),
                python3,
-               w3-dtd-mathml,
                xsltproc
+Rules-Requires-Root: no
 Standards-Version: 3.9.6
 Homepage: http://www.opengl.org/sdk/docs/man4/
-Vcs-Svn: svn://anonscm.debian.org/pkg-nvidia/packages/khronos-opengl4-man/trunk
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-nvidia/packages/khronos-opengl4-man/
+Vcs-Browser: https://salsa.debian.org/debian/khronos-opengl-man4
+Vcs-Git: https://salsa.debian.org/debian/khronos-opengl-man4.git
 
 Package: opengl-4-html-doc
 Architecture: all
@@ -30,10 +28,11 @@
  http://www.opengl.org/sdk/docs/man4/xhtml/
 
 Package: opengl-4-man-doc
-Provides: manpages-opengl
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Replaces: opengl-4.2-man-doc (<< 1.0~svn21376-1)
+Provides: manpages-opengl
 Description: OpenGL 4 documentation - man pages (experimental)
  This is the OpenGL API man pages.
  .
