=== debian/rules ===
#!/usr/bin/make -f

export ROOT=$(CURDIR)

%:
	dh $@

override_dh_clean:
	dh_clean html/*.xml
	dh_clean html/*.3G
	dh_clean html/*.tmp
	dh_clean html/index.html html/indexflat.html html/indexacc.html html/index.php html/indexflat.php

pkg_xml = opengl-4-html-doc
pkg_man = opengl-4-man-doc

override_dh_installdocs:
	sed -e 's/src="html\//src="/g' -e 's/indexflat.php/indexflat.html/g' bottom.php > html/index.html
	sed -e 's/indexflat.php/indexflat.html/g' -e "s/<?php include 'accord.js'; ?>/cat html\/accord.js/e" html/index.php > html/indexacc.html
	sed -e 's/index.php/indexacc.html/g' html/indexflat.php > html/indexflat.html
	dh_installdocs -p$(pkg_xml) html/*.xhtml
	dh_installdocs -p$(pkg_xml) html/*.html
	dh_installdocs -p$(pkg_xml) html/*.css
	dh_installdocs -p$(pkg_xml) html/bullets-*.gif

override_dh_installman:
	# bad-so-link-within-manual-page
	sed -i -e 's/^.so man3G/.so man3/' html/*.3G
	dh_installman -p$(pkg_man) html/*.3G
	# force install of d/copyright:
	dh_installdocs -p$(pkg_man)

# no make install rule:
override_dh_auto_install:

override_dh_compress:
	dh_compress -X.xhtml

get-orig-source:
	./debian/get-orig-source
